# Generated by Django 3.1.7 on 2021-03-14 07:41

from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('member_messages', '0002_remove_message_sender'),
    ]

    operations = [
        migrations.AddField(
            model_name='message',
            name='is_bookmark',
            field=models.BooleanField(blank=True, default=False, null=True),
        ),
        migrations.CreateModel(
            name='BookMarks',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('member', models.ManyToManyField(related_name='bookmark_member', to=settings.AUTH_USER_MODEL)),
                ('message', models.ManyToManyField(related_name='bookmark_message', to='member_messages.Message')),
            ],
        ),
    ]
